Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Voicemail.Property

    java.lang.Object
      java.lang.Enum<Voicemail.Property>
          com.skype.api.Voicemail.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Voicemail.Property>

Enclosing class:
  Voicemail

    public static enum Voicemail.Property

extends java.lang.Enum<Voicemail.Property>
implements PropertyEnumConverting

Properties of the Voicemail class

Enum Constant Summary
`P_ALLOWED_DURATION`
`P_CHAT_MSG_GUID`
`P_CONVERSATION`
`P_DURATION`
`P_FAILURE_REASON`
`P_PARTNER_DISPLAY_NAME`
`P_PARTNER_HANDLE`
`P_PLAYBACK_PROGRESS`
`P_STATUS`
`P_SUBJECT`
`P_TIMESTAMP`
`P_TYPE`
`P_UNKNOWN`

Field Summary
`static int` | `P_ALLOWED_DURATION_VALUE`
`static int` | `P_CHAT_MSG_GUID_VALUE`
`static int` | `P_CONVERSATION_VALUE`
`static int` | `P_DURATION_VALUE`
`static int` | `P_FAILURE_REASON_VALUE`
`static int` | `P_PARTNER_DISPLAY_NAME_VALUE`
`static int` | `P_PARTNER_HANDLE_VALUE`
`static int` | `P_PLAYBACK_PROGRESS_VALUE`
`static int` | `P_STATUS_VALUE`
`static int` | `P_SUBJECT_VALUE`
`static int` | `P_TIMESTAMP_VALUE`
`static int` | `P_TYPE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Voicemail.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Voicemail.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Voicemail.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Voicemail.Property P_UNKNOWN

### P_TYPE

    public static final Voicemail.Property P_TYPE

### P_PARTNER_HANDLE

    public static final Voicemail.Property P_PARTNER_HANDLE

### P_PARTNER_DISPLAY_NAME

    public static final Voicemail.Property P_PARTNER_DISPLAY_NAME

### P_STATUS

    public static final Voicemail.Property P_STATUS

### P_FAILURE_REASON

    public static final Voicemail.Property P_FAILURE_REASON

### P_SUBJECT

    public static final Voicemail.Property P_SUBJECT

### P_TIMESTAMP

    public static final Voicemail.Property P_TIMESTAMP

### P_DURATION

    public static final Voicemail.Property P_DURATION

### P_ALLOWED_DURATION

    public static final Voicemail.Property P_ALLOWED_DURATION

### P_PLAYBACK_PROGRESS

    public static final Voicemail.Property P_PLAYBACK_PROGRESS

### P_CONVERSATION

    public static final Voicemail.Property P_CONVERSATION

### P_CHAT_MSG_GUID

    public static final Voicemail.Property P_CHAT_MSG_GUID

Field Detail

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_PARTNER_HANDLE_VALUE

    public static final int P_PARTNER_HANDLE_VALUE

See Also:
  Constant Field Values

### P_PARTNER_DISPLAY_NAME_VALUE

    public static final int P_PARTNER_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_STATUS_VALUE

    public static final int P_STATUS_VALUE

See Also:
  Constant Field Values

### P_FAILURE_REASON_VALUE

    public static final int P_FAILURE_REASON_VALUE

See Also:
  Constant Field Values

### P_SUBJECT_VALUE

    public static final int P_SUBJECT_VALUE

See Also:
  Constant Field Values

### P_TIMESTAMP_VALUE

    public static final int P_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_DURATION_VALUE

    public static final int P_DURATION_VALUE

See Also:
  Constant Field Values

### P_ALLOWED_DURATION_VALUE

    public static final int P_ALLOWED_DURATION_VALUE

See Also:
  Constant Field Values

### P_PLAYBACK_PROGRESS_VALUE

    public static final int P_PLAYBACK_PROGRESS_VALUE

See Also:
  Constant Field Values

### P_CONVERSATION_VALUE

    public static final int P_CONVERSATION_VALUE

See Also:
  Constant Field Values

### P_CHAT_MSG_GUID_VALUE

    public static final int P_CHAT_MSG_GUID_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Voicemail.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Voicemail.Property c : Voicemail.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Voicemail.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Voicemail.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.